Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration

    public interface Configuration

Configuration holder for the SAG outbound eWay.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `Configuration.AcquireSnFRequestConfig` Configuration used to acquire the SnF queue.
`static interface` | `Configuration.EnvelopeConfig` Maps the Remote API message Envelope structure.
`static interface` | `Configuration.ExchangeFileRequestConfig` Configuration used for FileAct Client.
`static interface` | `Configuration.ExchangeRequestConfig` Configuration used for InterAct Client.
`static interface` | `Configuration.ExchangeSnFRequestConfig` Configuration used for SnF (can be used for InterAct and FileAct).
`static interface` | `Configuration.HandleFileResponseConfig` Configuration used for FileAct Server.
`static interface` | `Configuration.HandleResponseConfig` Configuration used for InterAct Server.
`static interface` | `Configuration.HandleSnFResponseConfig` Configuration used for SnF (can be used for InterAct and FileAct).
`static interface` | `Configuration.LocalAuthenticationConfig` Maps the Remote API LMAC (Local Message Authentication Code) settings.
`static interface` | `Configuration.PostOperationConfig` Post Operation config for FileAct.
`static interface` | `Configuration.PrimitiveControlConfig` Used to hold some control information for Primitives.
`static interface` | `Configuration.RemoteApiBaseConfig` Maps to Remote API Base Setting.
`static interface` | `Configuration.TransportConfig` Maps to the Remote API SagTransport configuration file.

Method Summary
`Configuration.ExchangeFileRequestConfig` | `getFileActClient()` Gets the exchange file request settings.
`Configuration.HandleFileResponseConfig` | `getFileActServer()`
`Configuration.ExchangeRequestConfig` | `getInterActClient()` Gets the exchange request settings.
`Configuration.HandleResponseConfig` | `getInterActServer()`
`Configuration.RemoteApiBaseConfig` | `getRemoteApiBase()` Gets the remote API base settings.
`Configuration.EnvelopeConfig` | `getSagEnvelope()` Gets the SAG Envelope settings.
`Configuration.LocalAuthenticationConfig` | `getSagLocalAuthentication()` Gets the SAG Local Authentication settings.
`Configuration.TransportConfig` | `getSagTransport()` Gets the SAG transport.
`void` | `reset()` Resets the configuration.
`void` | `validate()` Validates the whole configuration.

Method Detail

### getRemoteApiBase

    Configuration.RemoteApiBaseConfig getRemoteApiBase()
                                                       throws SAGApplicationException

  Gets the remote API base settings.

  Parameters:
    None.

  Returns:
    `RemoteApiBaseConfig` - Returns the remote API Base configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSagTransport

    Configuration.TransportConfig getSagTransport()
                                                  throws SAGApplicationException

  Gets the SAG transport.

  Parameters:
    None.

  Returns:
    `TransportConfig` - Returns the SAG transport configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSagEnvelope

    Configuration.EnvelopeConfig getSagEnvelope()
                                                throws SAGApplicationException

  Gets the SAG Envelope settings.

  Parameters:
    None.

  Returns:
    `EnvelopeConfig` - Returns SAG envelope configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getSagLocalAuthentication

    Configuration.LocalAuthenticationConfig getSagLocalAuthentication()
                                                                      throws SAGApplicationException

  Gets the SAG Local Authentication settings.

  Parameters:
    None.

  Returns:
    `LocalAuthenticationConfig` - Returns SAG Local Authentication configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getInterActClient

    Configuration.ExchangeRequestConfig getInterActClient()
                                                          throws SAGApplicationException

  Gets the exchange request settings.

  Parameters:
    None.

  Returns:
    `ExchangeRequestConfig` - Returns the SAG exchange request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getInterActServer

    Configuration.HandleResponseConfig getInterActServer()
                                                         throws SAGApplicationException

  Returns:
  Throws:
    `SAGApplicationException`

### getFileActClient

    Configuration.ExchangeFileRequestConfig getFileActClient()
                                                             throws SAGApplicationException

  Gets the exchange file request settings.

  Parameters:
    None.

  Returns:
    `ExchangeFileRequestConfig` - Returns the exchange file request configuration.
  Throws:
    `SAGApplicationException` - upon error.

### getFileActServer

    Configuration.HandleFileResponseConfig getFileActServer()
                                                            throws SAGApplicationException

  Throws:
    `SAGApplicationException` - upon error

### validate

    void validate()
                  throws SAGApplicationException

  Validates the whole configuration.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

### reset

    void reset()

  Resets the configuration. After reset, the configuration will be retrieved from original eWay configuration instance properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.